/*
Пример использования
Управления виртуальным образом
Ресурс позволяет:
1. Создавать image virtual
2. Изменять image virtual
2. Удалять image virtual
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_image_virtual" "iv" {
  #имя виртуального образа
  #обязательный параметр
  #при изменении - обновляет имя виртуального образа
  #тип - строка
  name = "iv-name"

  #ID реального образа, на который будет ссылаться виртуальный
  #обязательный параметр
  #при изменении - ссылается на другой реальный образ
  #тип - целое число
  link_to = 123

}

output "sr" {
  value = decort_image_virtual.iv
}
