/*
Пример использования
Получение информации о доступных локациях.
Ресурс позволяет:
1) получать информацию о grid_id для создания ресурсов
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_locations_list" "ll" {
  #фильтр по флагу
  #опицональный параметр 
  #тип - строка
  #flag = "some"
  
  #фильтр по id локации
  #опциональный параметр
  #тип - целое число
  #by_id = 100

  #фильтр по имени локации
  #опциональный параметр
  #тип - строка
  #name = "test"

  #фильтр по коду локации
  #опциональный параметр
  #тип - строка
  #location_code = "europe"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #кол-во страниц для вывода
  #опицональный параметр 
  #тип - целое число
  #page = 1

  #размер страницы
  #опицональный параметр 
  #тип - целое число
  #size = 1
}

output "test" {
  value = data.decort_locations_list.ll
}
