/*
Пример использования
Получение списка stack по id образа
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_image_list_stacks" "im" {
  #id образа
  #обязательный параметр
  #тип - целое число
  image_id = 6040

  #фильтр по имени образа
  #опциональный параметр
  #тип - строка
  #name = "test"

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтр по типу образа
  #опциональный параметр
  #тип - строка
  #type_image = "cdrom"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #тип - строка
  #sort_by = "+name"

  #номер страницы для отображения информации
  #опциональный параметр
  #если не задан - отображается вся доступная информация
  #тип - целое число
  #page = 2

  #количество отображаемых объектов на странице
  #опциональный параметр
  #если не задан - отображается вся доступная информация
  #тип - целое число
  #size = 3
  
}

output "test" {
  value = data.decort_cb_image_list_stacks.im
}
