/*
Пример использования
Получение списка стеков
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_stack_list" "sl" {
  #фильтр стеков по id
  #опциональный параметр
  #тип - целое число
  #by_id = 111

  #фильтр по имени стека
  #опциональный параметр
  #тип - строка
  #name = "name"

  #фильтр по типу
  #опциональный параметр
  #тип - строка
  #type = "type"

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "status"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3

}

output "test" {
  value = data.decort_cb_stack_list.sl
}
