/*
Пример использования
Получение информации о static route в данном Vins
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://mr4.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_vins_static_route" "route" {
  #id vins в котором добавлены routes
  #обязательный параметр
  #тип - целое число
  vins_id = 1111

  #id route
  #обязательный параметр
  #тип - целое число
  route_id = 1
}

output "route" {
  value = data.decort_cb_vins_static_route.route
}
