Функция доступна в провайдере версии 3.3 и выше.

_Data source_ функция **decort_vins_audits** служит для получения информации о аудитах виртуальной сети (Vins).

## Аргументы

_Data source_ функция **decort_vins_audits** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID виртуальной сети |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_vins_audits** возвращает в указанную при вызове переменную, в поле items массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| call | string | Вызов |
| response_time | float | Время ответа |
| statuscode | int | Статус выполнения |
| timestamp | float | Время выполнения |
| user | string | Имя пользователя |

## Пример использования

Пример вызова _data source_ функции **decort_vins_audits**:

```terraform
data "decort_vins_audits" "vins_audits" {
  #обязательный параметр
  #id жедаемого vins
  #тип - число
  vins_id = 10101
}
```

После успешного завершения такого вызова **decort_vins_audits** в переменной `data.decort_vins_audits.vins_audits` будут сохранены возвращаемые значения.

