_Data source_ функция **decort_flipgroup_list** служит для получения информации о плавающих группах (флипгруппах)

## Аргументы

| Аргумент | Тип | Обязательный | Описание |
| -------- | --- | ------------ | -------- |
| by_id | int | :x: | Фильтр по ID |
| name   | string | :x: | Фильтр по названию |
| vins_id | int | :x: | Фильтр по ViNS ID |
| vins_name | string | :x: | Фильтр по имени ViNS |
| extnet_id | int | :x: | Фильтр по ID extnet | 
| by_ip | string | :x: | Фильтр по IP-адресу |
| rg_id | int | :x: | Фильтр по ID рес. группы |
| page   | int | :x: | Номер страницы |
| size   | int | :x: | Размер страницы |

## Возвращаемые значения (в списке items)

| Параметр      | Тип      | Описание                                   |
| ------------  |----------| ------------------------------------------ |
| account_id    | int      | ID аккаунта                                |
| client_ids    | []int    | Список ID подключенных к группе клиентов   |
| client_type   | string   | Тип клиентов, подключаемых к группе        |
| conn_id       | int      | ID подключения                             |
| net_mask      | int      | Маска сети                                 |
| conn_type     | string   | Тип подключения                            |
| default_gw    | string   | Шлюз по умолчанию                          |
| desc          | string   | Описание группы                            |
| gid           | int      | Grid ID платформы                          |
| guid          | int      | ID флипгруппы на платформе (=flipgroup_id) |
| meta | []string | Мета информация |
| milestones    | int      | Веха                                       |
| name          | string   | Наименование плавающей группы              |
| net_id        | int      | ID сети                                    |
| net_type      | string   | Тип сети (EXTNET/ViNS)                     |
| status        | string   | Статус плавающей группы                    |

## Пример использования

```terraform
data "decort_flipgroup_list" "fg_list" {
  # Номер страницы
  # Опциональный параметр
  # int
  page = 0

  # Размер страницы
  # Опциональный параметр
  # int
  size = 0
}
```

После успешного завершения такого вызова **decort_flipgroup_list** в переменной `data.decort_flipgroup_list.fg_list` будут сохранены возвращаемые значения.
