/*
Пример использования
Получение информации об уже существующем диске.
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_disk" "acl" {
  #id владельца диска
  #обязательный параметр
  #тип - целое число
  account_id = 88366

  #имя диска
  #обязательный параметр
  #тип - строка
  disk_name = "super-disk-re"

  #размер диска в гигабайтах
  #обязательный параметр
  #тип - целое число
  size_max = 20

  #id платформы
  #обязательный параметр
  #тип - целое число
  gid = 212

  #флаг для отключения диска от ВМ при удалении
  #опциональный параметр
  #тип - булев
  detach = false

  #флаг для удаления реплики диска безвозвратно
  #опциональный параметр
  #тип - булев
  permanently = false

  #Флаг, отвечающий за доступность диска дургим ресурсам
  #опциональный параметр
  #тип - строка
  shareable = false

}

output "test" {
  value = decort_disk.acl
}
