/*
Пример использования
Получения списка аудитов в виде архива csv файлов
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_audits_export_to_file" "audit" {
  #путь, где будет создан архив, если не указан, создается в директории с main.tf с именем "audits.tar.gz"
  #обязательный параметр
  #тип - строка
  file_path = "abcdefg.tar.gz"

}

output "test" {
  value = data.decort_cb_audits_export_to_file.audit
}
