/*
Пример использования
Получение статуса репликации диска
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_disk_replication" "dr" {
  #id диска для которого подключена репликация
  #обязательный параметр
  #тип - целое число
  disk_id = 49304

  #id реплики диска
  #обязательный параметр
  #тип - целое число
  replica_disk_id = 1213

}

output "test" {
  value = data.decort_cb_disk_replication.dr
}
