/*
Пример использования
Получение списка static routes в данном extnet
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      version = "<VERSION>"
      source  = "basis/decort/decort"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_extnet_static_route_list" "list" {
  #обязательный параметр
  #id extnet в котором добавлены routes
  #тип - целое число
  extnet_id = 1111
}

output "list" {
  value = data.decort_cb_extnet_static_route_list.list
}
