/*
Пример использования
Проверка статуса активности текущей среды.
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_grid_get_status" "gs" {
  #нет входящих параметров
}

data "decort_cb_grid_post_status" "ps" {
  #нет входящих параметров
}

output "test-gs" {
  value = data.decort_cb_grid_get_status.gs
}

output "test-ps" {
  value = data.decort_cb_grid_post_status.ps
}
