/*
Пример использования
Ресурса user
Ресурс позволяет:
1. Создавать пользователя
2. Изменять список apiaccess групп пользователя
3. Удалять пользователя
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://mr4.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_cb_user" "user" {
  #id пользователя
  #обязательный параметр
  #тип - строка
  username = "user1"

  #email адрес пользователя
  #обязательный параметр
  #тип - массив строк
  emailaddress  = ["user1@example.com"]

  #пароль пользователя
  #опциональный параметр
  #тип - строка
  #password  = "user1Password"

  #список групп, к которым принадлежит этот пользователь
  #опциональный параметр
  #тип - массив строк
  #groups  = ["user"]

  #список групп доступа к api, к которым принадлежит этот пользователь
  #опциональный параметр
  #тип - массив целых чисел
  #apiaccess  = [1,2]
  
}

output "test" {
  value = decort_cb_user.user
}

