Terraform провайдер версии 4.5.3, для платформы DECORT с API версии 3.8.9 и выше.

1. [Введение](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/01.-Введение.md)
2. [Пример работы](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/02.-Пример-работы.md)
3. [Обзор облачной платформы DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/03.-Обзор-облачной-платформы-DECORT.md)

   - [Основные понятия](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/03.-Обзор-облачной-платформы-DECORT.md#Основные-понятия)
   - [Способы авторизации](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/03.-Обзор-облачной-платформы-DECORT.md#Способы-авторизации)

   <!--
   - [Пользовательская и административная группы API](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/03.-Обзор-облачной-платформы-DECORT.md#Пользовательская-и-административная-группы-api)
     -->

4. [Начало работы с terraform провайдером DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.-Начало-работы-с-terraform-провайдером-DECORT.md)
   - [Установка Terraform провайдера DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.01-Установка-Terraform-провайдера-DECORT.md)
   - [Инициализация Terraform провайдера DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.02-Инициализация-Terraform-провайдера-DECORT.md)
   - [Получение gid или grid_id](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.04-Получение-gid-или-grid_id.md)
   - [Сборка terraform провайдера в образ](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.05-Сборка-terraform-провайдера-в-образ.md)
5. [Работа с terraform](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.-Работа-с-terraform.md)
   - [Установка Terraform](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.06-Установка-Terraform.md)
   - [Импортирование ресурсов](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.01-Импортирование-ресурсов.md)
   - [Работа с таймаутами](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.02-Работа-с-таймаутами.md)
   - [Восстановление ресурсов](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.03-Восстановление-ресурсов.md)
   - [Массовое создание ресурсов. Мета аргументы](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3//05.04-Массовое-создание-ресурсов.-Мета-аргументы.md)
   - [Удаление ресурсов](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.05-Удаление-ресурсов.md)
   - [Миграция кластеров (4.2.0+)](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/05.07-Миграция-k8s-кластеров-на-версию-4.2.0.md)
6. [Data source функции Terraform провайдера DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.-Data-source-функции-Terraform-провайдера-DECORT.md)

   - [Пользовательская группа API](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01-Пользовательская-группа-API.md)
     - [**decort_resgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.02-Data_decort_resgroup.md) - получение информации о ресурсной группе
     - [**decort_kvmvm**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.01-Data_decort_kvmvm.md) - получение информации о виртуальной машине, созданной на базе системы виртуализации KVM
     - [**decort_disk**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.03-Data_decort_disk.md) - получение информации о ресурсе хранения ("disk")
     - [**decort_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.04-Data_decort_vins.md) - получение информации о виртуальном сетевом сегменте (Virtual Network Segment, "ViNS")
     - [**decort_account**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.05-Data_decort_account.md) - получение информации об аккаунте
     - [**decort_image_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.06-Data_decort_image_list.md) - получение информации об образах (_image_)
     - [**decort_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.07-Datadecort_image.md) - получение информации об образе (_image_)
     - [**decort_locations_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.08-Data_decort_locations_list.md) - получение списка доступных площадок (_gid/grid_id_)
     - [**decort_location_url**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.09-Data_decort_location_url.md) - получение url площадки
     - [**decort_snapshot_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.11-Data_decort_snapshot_list.md) - получение информации о snapshots
     - [**decort_disk_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.13-Data_decort_disk_list.md) - получение информации о всех доступных дисках
     - [**decort_vins_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.14-Data_decort_vins_list.md) - получение информации о всех доступных виртуальных сетях
     - [**decort_extnet_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.15-Data_decort_extnet_list.md) - получение информации о всех доступных внешних сетях
     - [**decort_extnet_default**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.16-Data_decort_extnet_default.md) - получение информации о доступной внешней сети, установленной по умолчанию
     - [**decort_extnet_computes_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.17-Data_decort_extnet_computes_list.md) - получение информации о вычислительных мощностях, использующих внешнюю сеть
     - [**decort_extnet**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.18-Data_decort_extnet.md) - получение информации о внешней сети
     - [**decort_account_audits_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.19-Data_decort_account_audits_list.md) - получение информации о запросах аккаунта
     - [**decort_account_computes_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.20-Data_decort_account_computes_list.md) - получение информации об используемых аккаунтом экземплярах computes
     - [**decort_account_consumed_units**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.21-Data_decort_account_consumed_units.md) - получение информации об используемых ресурсах аккаунта
     - [**decort_account_consumed_units_by_type**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.22-Data_decort_account_consumed_units_by_type.md) - получение информации об используемых ресурсах аккаунта по типу
     - [**decort_account_disks_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.23-Data_decort_account_disks_list.md) - получение информации об используемых аккаунтом дисках
     - [**decort_account_flipgroups_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.24-Data_decort_account_flipgroups_list.md) - получение информации об используемых аккаунтом групп с плавающим ip-адресом
     - [**decort_account_reserved_units**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.25-Data_decort_account_reserved_units.md) - получение информации о зарезервированных ресурсах аккаунта
     - [**decort_account_rg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.26-Data_decort_account_rg_list.md) - получение информации о ресурсных группах аккаунта
     - [**decort_account_templates_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.27-Data_decort_account_templates_list.md) - получение информации о шаблонах аккаунта
     - [**decort_account_vins_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.28-Data_decort_account_vins_list.md) - получение информации о виртуальных сетях аккаунта
     - [**decort_account_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.29-Data_decort_account_list.md) - получение информации о всех доступных аккаунтах
     - [**decort_account_deleted_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.30-Data_decort_account_deleted_list.md) - получение информации о всех удаленных аккаунтах
     - [**decort_account_resource_consumption_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.79-Data_decort_account_resource_consumption_get.md) - получение информации о количестве потребляемых ресурсов
     - [**decort_account_resource_consumption_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.80-Data_decort_account_resource_consumption_list.md) - получение-информации о количестве потребляемых и зарезервированных ресурсов
     - [**decort_bservice_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.31-Data_decort_bservice_list.md) - получение информации о всех базовых сервисах
     - [**decort_bservice_deleted_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.32-Data_decort_bservice_deleted_list.md) - получение информации об удаленных базовых сервисах
     - [**decort_bservice_snapshot_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.33-Data_decort_bservice_snapshot_list.md) - получение информации о снимках состояния базовых сервисах
     - [**decort_bservice**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.34-Data_decort_bservice.md) - получение информации о базовом сервисе
     - [**decort_bservice_group**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.35-Data_decort_bservice_group.md) - получение информации о группе базового сервиса
     - [**decort_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.36-Data_decort_lb.md) - получение информации о балансировщике нагрузки
     - [**decort_lb_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.37-Data_decort_lb_list.md) - получение информации о балансировщиках нагрузки
     - [**decort_lb_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.38-Data_decort_lb_list_deleted.md) - получение информации об удаленных балансировщиках нагрузки
     - [**decort_disk_list_types**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.39-Data_decort_disk_list_types.md) - получение списка типов для диска
     - [**decort_disk_list_types_detailed**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.40-Data_decort_disk_list_types_detailed.md) - расширенное получение списка поддерживаемых типов
     - [**decort_disk_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.41-Data_decort_disk_list_deleted.md) - получение информации об удаленных дисках
     - [**decort_disk_list_unattached**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.42-Data_decort_disk_list_unattached.md) - получение информации о неподключенных дисках
     - [**decort_disk_snapshot_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.43-Data_decort_disk_snapshot_list.md) - получение списка снимков состояния диска
     - [**decort_disk_snapshot**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.44-Data_decort_disk_snapshot.md) - получение информацуии о снимке состояния диска
     - [**decort_k8s**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.45-Data_decort_k8s.md) - получение информацуии о кластере k8s
     - [**decort_k8s_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.46-Data_decort_k8s_list.md) - получение информации о списке кластеров k8s
     - [**decort_k8s_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.47-Data_decort_k8s_list_deleted.md) - получение информации о списке удаленных кластеров k8s
     - [**decort_k8ci_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.76-Data_decort_k8ci_list.md) - получение информации о списке доступных K8CI
     - [**decort_k8s_wg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.48-Data_decort_k8s_wg.md) - получение информации о группе воркеров кластера k8s
     - [**decort_k8s_wg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.49-Data_decort_k8s_wg_list.md) - получение информации о списке групп воркеров кластера k8s
     - [**decort_k8s_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.74-Data_decort_k8s_computes.md) - получение информации о виртуальных машинах кластера
     - [**decort_k8s_wg_cloud_init**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.81-Data_decort_k8s_wg_cloud_init.md) - получение информации об предустановленных настройках группы воркеров кластера Kubernetes
     - [**decort_vins_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.50-Data_decort_vins_audits.md) - получение информации о записи аудита для указанного vins
     - [**decort_vins_ext_net_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.51-Data_decort_vins_ext_net_list.md) - получение информации о списке внешних сетей для указанного vins
     - [**decort_vins_ip_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.52-Data_decort_vins_ip_list.md) - получение информации о зарезервированных ip адресах для указанного vins
     - [**decort_vins_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.53-Data_decort_vins_list_deleted.md) - получение информации о удаленных виртуальных сетях
     - [**decort_vins_nat_rule_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.54-Data_decort_vins_nat_rule_list.md) - получение информации о правилах NAT для указанного vins
     - [**decort_vins_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.77-Data_decort_vins_static_route.md) - получение информации о статическом пути
     - [**decort_vins_static_route_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.78-Data_decort_vins_static_route_list.md) - получение информации о списке статических путей
     - [**decort_kvmvm_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.55-Data_decort_kvmvm_audits.md) - получение информации о аудитах компьюта
     - [**decort_kvmvm_get_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.56-Data_decort_kvmvm_get_audits.md) - получение информации о аудитах компьюта
     - [**decort_kvmvm_get_console_url**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.57-Data_decort_kvmvm_get_console_url.md) - получение url адреса консоли компьюта
     - [**decort_kvmvm_get_log**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.58-Data_decort_kvmvm_get_log.md) - получение логов по заданному пути
     - [**decort_kvmvm_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.59-Data_decort_kvmvm_list.md) - получение информации о списке компьютов
     - [**decort_kvmvm_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.82-Data_decort_kvmvm_list_deleted.md) - получение информации о списке удаленных виртуальных машин
     - [**decort_kvmvm_pci_device_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.83-Data_decort_kvmvm_pci_device_list.md) - получение информации о доступных компьюту списка устройств с шиной PCI
     - [**decort_kvmvm_vgpu_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.84-Data_decort_kvmvm_vgpu_list.md) - получение информации о доступных компьюту списка виртуальных графических устройств
     - [**decort_kvmvm_pfw_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.60-Data_decort_kvmvm_pfw_list.md) - получение информации о списке порт форвардингов компьюта
     - [**decort_kvmvm_user_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.61-Data_decort_kvmvm_user_list.md) - получение информации о списке пользователей компьюта
     - [**decort_rg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.62-Data_decort_rg_list.md) - получение информации о списке ресурсных групп
     - [**decort_rg_affinity_group_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.63-Data_decort_rg_affinity_group_computes.md) - получение информации о компьютах аффинити группы
     - [**decort_rg_affinity_groups_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.64-Data_decort_rg_affinity_groups_list.md) - получение информации о аффинити группах
     - [**decort_rg_affinity_groups_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.65-Data_decort_rg_affinity_groups_get.md) - получение информации о аффинити группе
     - [**decort_rg_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.66-Data_decort_rg_audits.md) - получение информации о аудитах ресурсной группы
     - [**decort_rg_list_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.67-Data_decort_rg_list_computes.md) - получение информации о компьютах ресурсной группы
     - [**decort_rg_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.68-Data_decort_rg_list_deleted.md) - получение информации о списке удаленных ресурсных групп
     - [**decort_rg_list_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.69-Data_decort_rg_list_lb.md) - получение информации о списке lb в рамках ресурсных групп
     - [**decort_rg_list_pfw**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.70-Data_decort_rg_list_pfw.md) - получение информации о списке pfw в рамках ресурсных групп
     - [**decort_rg_list_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.71-Data_decort_rg_list_vins.md) - получение информации о списке vins в рамках ресурсных групп
     - [**decort_rg_usage**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.72-Data_decort_rg_usage.md) - получение информации об использовании rg
     - [**decort_rg_resource_consumption_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.85-Data_decort_rg_resource_consumption_get.md) - получение информации о количестве потребляемых и зарезервированных ресурсов по конкретной ресурсной группе
     - [**decort_rg_resource_consumption_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.86-Data_decort_rg_resource_consumption_list.md) - получение информации о количестве потребляемых и зарезервированных ресурсов доступных ресурсной группе
     - [**decort_kvmvm_snapshot_usage**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.73-Data_decort_kvmvm_snapshot_usage.md) - получение информации об использовании снапшотов
     - [**decort_flipgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.75-Data_decort_flipgroup.md) - получение информации о плавающей группе
     - [**decort_flipgroup_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.01.75-Data_decort_flipgroup_list.md) - получение информации о плавающих группах


   - [Административная группа API](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02-Административная-группа-API.md)
      - [**decort_cb_kvmvm**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.01-Data_decort_cb_kvmvm.md) - получение информации о виртуальной машине, созданной на базе системы виртуализации KVM
      - [**decort_cb_rg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.02-Data_decort_cb_rg.md) - получение информации о ресурсной группе
      - [**decort_cb_disk**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.03-Data_decort_cb_disk.md) - получение информации о ресурсе хранения ("disk")
      - [**decort_cb_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.04-Data_decort_cb_vins.md) - получение информации о виртуальном сетевом сегменте (Virtual Network Segment, "ViNS")
      - [**decort_cb_account**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.05-Data_decort_cb_account.md) - получение информации об аккаунте
      - [**decort_cb_image_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.06-Data_decort_cb_image_list.md) - получение информации об образах (_image_)
      - [**decort_cb_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.07-Data_decort_cb_image.md) - получение информации об образе (_image_)
      - [**decort_cb_image_list_stacks**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.08-Data_decort_cb_image_list_stacks.md) - получение информации о доступном stacks по id образа
      - [**decort_cb_grid_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.09-Data_decort_cb_grid_list.md) - получение списка с информацией о доступных платформах, _необходимы права администратора_
      - [**decort_cb_grid**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.10-Data_decort_cb_grid.md) - получение информации о доступной платформе, _необходимы права администратора_
      - [**decort_cb_pcidevice_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.11-Data_decort_cb_pcidevice_list.md) - получение информации о всех доступных pcidevice
      - [**decort_cb_pcidevice**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.12-Data_decort_cb_pcidevice.md) - получение информации о pcidevice
      - [**decort_cb_rg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.14-Data_decort_cb_rg_list.md) - получение информации о всех доступных ресурсных группах
      - [**decort_cb_disk_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.15-Data_decort_cb_disk_list.md) - получение информации о всех доступных дисках
      - [**decort_cb_vins_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.16-Data_decort_cb_vins_list.md) - получение информации о всех доступных виртуальных сетях
      - [**decort_cb_account_audits_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.17-Data_decort_cb_account_audits_list.md) - получение информации о запросах аккаунта
      - [**decort_cb_account_computes_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.18-Data_decort_cb_account_computes_list.md) - получение информации об используемых аккаунтом экземплярах computes
      - [**decort_cb_account_disks_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.19-Data_decort_cb_account_disks_list.md) - получение информации об используемых аккаунтом дисках
      - [**decort_cb_account_flipgroups_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.20-Data_decort_cb_account_flipgroups_list.md) - получение информации об используемых аккаунтом групп с плавающим ip-адресом
      - [**decort_cb_account_rg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.21-Data_decort_cb_account_rg_list.md) - получение информации о ресурсных группах аккаунта
      - [**decort_cb_account_vins_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.22-Data_decort_cb_account_vins_list.md) - получение информации о виртуальных сетях аккаунта
      - [**decort_cb_account_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.23-Data_decort_cb_account_list.md) - получение информации о всех доступных аккаунтах
      - [**decort_cb_account_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.24-Data_decort_cb_account_list_deleted.md) - получение информации о всех удаленных аккаунтах
      - [**decort_cb_sep_config**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.25-Data_decort_cb_sep_config.md) - получение информации о конфигурации sep
      - [**decort_cb_sep_consumption**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.26-Data_decort_cb_sep_consumption.md) - получение информации о загрузке sep
      - [**decort_cb_sep_disk_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.27-Data_decort_cb_sep_disk_list.md) - получение информации о дисках, используемых sep
      - [**decort_cb_sep_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.28-Data_decort_cb_sep_list.md) - получение информации обо всех доступных sep
      - [**decort_cb_sep_pool**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.29-Data_decort_cb_sep_pool.md) - получение информации о pool sep
      - [**decort_cb_sep**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.30-Data_decort_cb_sep.md) - получение информации о sep
      - [**decort_cb_extnet**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.31-Data_decort_cb_extnet.md) - получение информации о внешней сети
      - [**decort_cb_extnet_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.32-Data_decort_cb_extnet_list.md) - получение информации о списке внешних сетей
      - [**decort_cb_stack**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.33-Data_decort_cb_stack.md) - получение информации о вычислительном узле (stack)
      - [**decort_cb_stack_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.34-Data_decort_cb_stack_list.md) - получение информации о списке вычислительных узлов (stack)
      - [**decort_cb_flipgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.35-Data_decort_cb_flipgroup.md) - получение информации о группе с плавающим ip-адресом
      - [**decort_cb_flipgroup_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.36-Data_decort_cb_flipgroup_list.md) - получение информации о всех группах с плавающим ip-адресом
      - [**decort_cb_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.37-Data_decort_cb_lb.md) - получение информации о балансировщике нагрузки
      - [**decort_cb_lb_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.38-Data_decort_cb_lb_list.md) получение информации о балансировщиках нагрузки
      - [**decort_cb_lb_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.39-Data_decort_cb_lb_list_deleted.md) - получение информации об удаленных балансировщиках нагрузки
      - [**decort_cb_grid_list_emails**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.40-Data_decort_cb_grid_list_emails.md) - получение списков email адресов пользователей
      - [**decort_cb_grid_list_consumption**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.41-Data_decort_cb_grid_list_consumption.md) - получение потребленных и зарезервированных ресурсов во всех grid
      - [**decort_cb_grid_get_consumption**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.42-Data_decort_cb_grid_get_consumption.md) - получение потребленных и зарезервированных ресурсов в grid
      - [**decort_cb_grid_get_status**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.43-Data_decort_cb_grid_get_status.md) - проверка статуса активности текущей среды
      - [**decort_cb_grid_get_diagnosis**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.111-Data_decort_cb_grid_get_diagnosis.md) - получение снимка платформы с дополнительной диагностической информацией, такой как журналы и т.д.
      - [**decort_cb_grid_post_diagnosis**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.110-Data_decort_cb_grid_post_diagnosis.md) - получение снимка платформы с дополнительной диагностической информацией, такой как журналы и т.д.
      - [**decort_cb_vins_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.44-Data_decort_cb_vins_list_deleted.md) - получение информации о всех удаленных виртуальных сетях
      - [**decort_cb_vins_nat_rule_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.45-Data_decort_cb_vins_nat_rule_list.md) - получение информации о правилах переадресации портов для сети vins
      - [**decort_cb_vins_ext_net_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.46-Data_decort_cb_vins_ext_net_list.md) - получение информации о внешних сетях vins
      - [**decort_cb_vins_ip_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.47-Data_decort_cb_vins_ip_list.md) - получение резервированных ip-адресов dhcp на внутренней сети vins
      - [**decort_cb_vins_static_route_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.48-Data_decort_cb_vins_static_route_list.md) - получение списка статических маршрутов для внутренней сети vins
      - [**decort_cb_vins_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.49-Data_decort_cb_vins_static_route.md) - получение статического маршрута для внутренней сети vins
      - [**decort_cb_vins_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.50-Data_decort_cb_vins_audits.md) - получение записей аудита для внутренней сети vins
      - [**decort_cb_rg_affinity_group_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.51-Data_decort_cb_rg_affinity_group_computes.md) - получение информации о компьютах аффинити группы
      - [**decort_cb_rg_affinity_groups_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.52-Data_decort_cb_rg_affinity_groups_get.md) - получение информации о аффинити группе
      - [**decort_cb_rg_affinity_groups_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.53-Data_decort_cb_rg_affinity_groups_list.md) - получение информации о аффинити группах
      - [**decort_cb_rg_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.54-Data_decort_cb_rg_audits.md) - получение информации о аудитах ресурсной группы
      - [**decort_cb_rg_resource_consumption_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.55-Data_decort_cb_rg_resource_consumption_get.md) - получение информации о количеств потребляемых и зарезервированных ресурсов по конкретной ресурсной группе
      - [**decort_cb_rg_resource_consumption_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.56-Data_decort_cb_rg_resource_consumption_list.md) - получение информации о количестве потребляемых и зарезервированных ресурсов доступных ресурсной группе
      - [**decort_cb_rg_usage**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.57-Data_decort_cb_rg_usage.md) - получение информации об использовании rg
      - [**decort_cb_rg_list_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.58-Data_decort_cb_rg_list_computes.md) - получение информации о компьютах ресурсной группы
      - [**decort_cb_rg_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.59-Data_decort_cb_rg_list_deleted.md) - получение информации о списке удаленных ресурсных групп
      - [**decort_cb_rg_list_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.60-Data_decort_cb_rg_list_lb.md) - получение информации о списке lb
      - [**decort_cb_rg_list_pfw**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.61-Data_decort_cb_rg_list_pfw.md) - получение информации о списке pfw
      - [**decort_cb_rg_list_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.62-Data_decort_cb_rg_list_vins.md) - получение информации о списке vins
      - [**decort_cb_disk_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.63-Data_decort_cb_disk_list_deleted.md) - получение информации об удаленных дисках
      - [**decort_cb_disk_list_types**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.64-Data_decort_cb_disk_list_types.md) - получение списка типов диска
      - [**decort_cb_disk_list_types_detailed**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.65-Data_decort_cb_disk_list_types_detailed.md) - расширенное получение информации о поддерживаемых типах дисков
      - [**decort_cb_disk_list_unattached**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.66-Data_decort_cb_disk_list_unattached.md) - получение информации о неподключенных дисках
      - [**decort_cb_disk_snapshot**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.67-Data_decort_cb_disk_snapshot.md) - получение информации о снимке состояния
      - [**decort_cb_disk_snapshot_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.68-Data_decort_cb_disk_snapshot_list.md) - получение списка снимков состояния диска
      - [**decort_cb_audit**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.69-Data_decort_cb_audit.md) - получение информации о событии системы
      - [**decort_cb_audit_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.70-Data_decort_cb_audit_list.md) - получение информации о всех событиях системы
      - [**decort_cb_audit_linked_jobs**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.71-Data_decort_cb_audit_linked_jobs.md) - получение списка заданий связанных с указанным событием системы
      - [**decort_cb_k8s**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.72-Data_decort_cb_k8s.md) - получение информации о кластере k8s
      - [**decort_cb_k8s_computes**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.73-Data_decort_cb_k8s_computes.md) - получение информации о виртуальных машинах кластера
      - [**decort_cb_k8s_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.74-Data_decort_cb_k8s_list.md) - получение информации о списке кластеров k8s
      - [**decort_cb_k8s_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.75-Data_decort_cb_k8s_list_deleted.md) - получение информации о списке удаленных кластеров k8s
      - [**decort_cb_k8s_wg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.76-Data_decort_cb_k8s_wg.md) - получение информации о группе воркеров кластера k8s
      - [**decort_cb_k8s_wg_cloud_init**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.77-Data_decort_cb_k8s_wg_cloud_init.md) - получение информации об предустановленных настройках группы воркеров кластера Kubernetes
      - [**decort_cb_k8s_wg_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.78-Data_decort_cb_k8s_wg_list.md) - получение информации о списке группворкеров кластера k8s
      - [**decort_cb_k8ci_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.79-Data_decort_cb_k8ci_list.md) - получение информации о всех k8ci
      - [**decort_cb_k8ci_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.80-Data_decort_cb_k8ci_list_deleted.md) - получение информации об удаленных k8ci
      - [**decort_cb_k8ci**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.81-Data_decort_cb_k8ci.md) - получение информации о k8ci
      - [**decort_cb_kvmvm_affinity_relations**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.82-Data_decort_cb_kvmvm_affinity_relations.md) - получение словаря ВМ разделенного по правилам affinity и anti-affinity
      - [**decort_cb_kvmvm_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.83-Data_decort_cb_kvmvm_audits.md) - получение информации о аудитах компьюта
      - [**decort_cb_kvmvm_boot_order_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.84-Data_decort_cb_kvmvm_boot_order_get.md) - получение информации о текущем порядке загрузки компьюта
      - [**decort_cb_kvmvm_get_audits**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.85-Data_decort_cb_kvmvm_get_audits.md) - получение информации о аудитах компьюта
      - [**decort_cb_kvmvm_get_console_url**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.86-Data_decort_cb_kvmvm_get_console_url.md) - получение url консоли компьюта
      - [**decort_cb_kvmvm_get_log**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.87-Data_decort_cb_kvmvm_get_log.md) - получение логов по заданному пути
      - [**decort_cb_kvmvm_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.88-Data_decort_cb_kvmvm_list.md) - получение информации о списке компьютов
      - [**decort_cb_kvmvm_list_deleted**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.89-Data_decort_cb_kvmvm_list_deleted.md) - получение информации о списке удаленных компьютов
      - [**decort_cb_kvmvm_migrate_storage_info**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.90-Data_decort_cb_kvmvm_migrate_storage_info.md) - получение информации о последней миграции хранилища
      - [**decort_cb_kvmvm_pci_device_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.91-Data_decort_cb_kvmvm_pci_device_list.md) - получение информации о доступных компьюту списка устройств с шиной PCI
      - [**decort_cb_kvmvm_pfw_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.92-Data_decort_cb_kvmvm_pfw_list.md) - получение информации о списке порт форвардингов компьюта
      - [**decort_cb_kvmvm_snapshot_usage**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.93-Data_decort_cb_kvmvm_snapshot_usage.md) - информация об использовании снапшотов
      - [**decort_cb_kvmvm_snapshot_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.94-Data_decort_cb_kvmvm_snapshot_list.md) - получение списка снапшотов
      - [**decort_cb_kvmvm_user_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.95-Data_decort_cb_kvmvm_user_list.md) - получение информации о пользователях компьюта
      - [**decort_cb_kvmvm_vgpu_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.96-Data_decort_cb_kvmvm_vgpu_list.md) - получение информации о доступных компьюту списка виртуальных графических устройств
      - [**decort_cb_extnet_default**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.97-Data_decort_cb_extnet_default.md) - получение информации о внешней сети по умолчанию
      - [**decort_cb_extnet_static_route_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.98-Data_decort_cb_extnet_static_route_list.md) - получение списка статических маршрутов для внешней сети
      - [**decort_cb_extnet_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.99-Data_decort_cb_extnet_static_route.md) - получение статического маршрута для внешней сети
      - [**decort_cb_account_resource_consumption_get**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.100-Data_decort_cb_account_resource_consumption_get.md) - получение информации о количестве потребляемых и зарезервированных ресурсов
      - [**decort_cb_account_resource_consumption_list**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.101-Data_decort_cb_account_resource_consumption_list.md) - получение информации о количестве потребляемых и зарезервированных ресурсов
   
      <!--
      - [**decort_vgpu**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/06.02.13-Data_decort_vgpu.md) - получение информации о виртуальном графическом устройстве
      -->

7. [Resource функции Terraform провайдера DECORT](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.-Resource-функции-Terraform-провайдера-DECORT.md)

   - [Пользовательская группа API](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01-Пользовательская-группа-API.md)
     - [**decort_kvmvm**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.01-Resource_decort_kvmvm.md) - управление виртуальными серверами, создаваемыми на базе системы виртуализации KVM
     - [**decort_resgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.02-Resource_decort_resgroup.md) - управление ресурсными группами
     - [**decort_disk**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.03-Resource_decort_disk.md) - управление дисковыми ресурсами.
     - [**decort_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.04-Resource_decort_vins.md) - управление виртуальными сетевыми сегментами.
     - [**decort_vins_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.22-Resource_decort_vins_static_route.md) - управление статическими путями
     - [**decort_snapshot**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.05-Resource_decort_snapshot.md) - управление snapshot
     - [**decort_k8s**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.06-Resource_decort_k8s.md) - управление кластером
     - [**decort_k8s_cp**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.21-Resource_decort_k8s_cp.md) - управление control plane
     - [**decort_k8s_wg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.07-Resource_decort_k8s_wg.md) - управление worker group кластера
     - [**decort_image_virtual**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.08-Resource_decort_image_virtual.md) - управление виртуальным образом
     - [**decort_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.09-Resource_decort_image.md) - управление образом
     - [**decort_pfw**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.10-Resource_decort_pfw.md) - управление правилами трансляции сетевых портов для виртуальных серверов.
     - [**decort_account**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.11-Resource_decort_account.md) - управление аккаунтом
     - [**decort_bservice**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.12-Resource_decort_bservice.md) - управление базовым сервисом
     - [**decort_bservice_group**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.13-Resource_decort_bservice_group.md) - управление группой базового сервиса
     - [**decort_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.14-Resource_decort_lb.md) - управление балансировщиком нагрузки
     - [**decort_lb_frontend**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.15-Resource_decort_lb_frontend.md) - управление фронтендом балансировщика нагрузки
     - [**decort_lb_frontend_bind**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.16-Resource_decort_lb_frontend_bind.md) - управление привязками фронтенда балансировщика нагрузки
     - [**decort_lb_backend**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.17-Resource_decort_lb_backend.md) - управление бекендом балансировщика нагрузки
     - [**decort_lb_backend_server**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.18-Resource_decort_lb_backend_server.md) - управление сервером бекенда балансировщика нагрузки
     - [**decort_disk_snapshot**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.19-Resource_decort_disk_snapshot.md) - управление снимком диска
     - [**decort_flipgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.01.20-Resource_decort_flipgroup.md) - управление плавающей группой

   - [Административная группа API](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02-Административная-группа-API.md)
      - [**decort_cb_kvmvm**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.11-Resource_decort_cb_kvmvm.md) - управление виртуальными серверами, создаваемыми на базе системы виртуализации KVM
      - [**decort_cb_rg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.14-Resource_decort_cb_rg.md) - управление ресурсными группами
      - [**decort_cb_extnet**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.15-Resource_decort_cb_extnet.md) - управление внешними сетями
      - [**decort_cb_disk**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.13-Resource_decort_cb_disk.md) - управление дисковыми ресурсами
      - [**decort_cb_vins**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.12-Resource_decort_cb_vins.md) - управление виртуальными сетевыми сегментами
      - [**decort_cb_k8s_cp**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.10-Resource_decort_cb_k8s_cp.md) - управление кластером
      - [**decort_cb_k8s_wg**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.09-Resource_decort_cb_k8s_wg.md) - управление worker group кластера
      - [**decort_cb_virtual_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.07-Resource_decort_cb_virtual_image.md) - управление виртуальным образом
      - [**decort_cb_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.08-Resource_decort_cb_image.md) - управление образом
      - [**decort_cb_cdrom_image**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.04-Resource_decort_cb_cdrom_image.md) - управление cdrom образом
      - [**decort_cb_sep**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.03-Resource_decort_cb_sep.md) - управление sep
      - [**decort_cb_sep_config**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.02-Resource_decort_cb_sep_config.md) - управление конфигурацией sep
      - [**decort_cb_pcidevice**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.01-Resource_decort_cb_pcidevice.md) - управление pcidevice
      - [**decort_cb_account**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.06-Resource_decort_cb_account.md) - управление аккаунтом
      - [**decort_cb_flipgroup**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.16-Resource_decort_cb_flipgroup.md) - управление плавающей группой
      - [**decort_cb_lb**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.17-Resource_decort_cb_lb.md) - управление балансировщиком нагрузки
      - [**decort_cb_lb_backend**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.18-Resource_decort_cb_lb_backend.md) - управление бекендом балансировщика нагрузки
      - [**decort_cb_lb_backend_server**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.19-Resource_decort_cb_lb_backend_server.md) управление сервером бекендом балансировщиком нагрузки 
      - [**decort_cb_lb_frontend**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.20-Resource_decort_cb_lb_frontend.md) управление фронтендом балансировщиком нагрузки
      - [**decort_cb_lb_frontend_bind**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.21-Resource_decort_cb_lb_frontend_bind.md) - управление привязками фронтенда балансировщиком нагрузки
      - [**decort_cb_vins_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.22-Resource_decort_cb_vins_static_route.md) - управление статическим маршрутом для внутренней сети
      - [**decort_cb_disk_snapshot**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.23-Resource_decort_cb_disk_snapshot.md) - управление снимком диска
      - [**decort_cb_k8ci**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.24-Resource_decort_cb_k8ci.md) - управление k8ci
      - [**decort_cb_extnet_static_route**](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/07.02.25-Resource_decort_cb_extnet_static_route.md) - управление статическим маршрутом для внешней сети

8. [Полезные советы](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/08.-Полезные-советы.md)
   - [Как хранить авторизационную информацию отдельно от tf-файла](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/08.-Полезные-советы.md#81-Как-хранить-авторизационную-информацию-отдельно-от-tf-файла)
   - [Если Terraform провайдер DECORT жалуется на SSL сертификаты.](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/08.-Полезные-советы.md#82-Если-terraform-провайдер-жалуется-на-ssl-сертификаты)
   - [Настройка локального провайдера для работы с новыми версиями Terraform.](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/08.-Полезные-советы.md#82-Если-terraform-провайдер-жалуется-на-ssl-сертификаты)
   - [OpenTofu](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/08.-Полезные-советы.md#8.4-OpenTofu)
