Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_disk_snapshot** служит для получения информации о снимке состояния диска.

## Аргументы
_Data source_ функция **decort_cb_disk_snapshot** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- | 
| disk_id | int | :heavy_check_mark: | ID диска, снимок которого необходимо получить |
| label | string | :heavy_check_mark: | Название снимка |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_cb_disk_snapshot** возвращает в указанную при вызове переменную следующие параметры:

| Параметр | Тип | Описание |
| --- | --- | --- |
| disk_id | int | ID диска, снимок которого необходимо получить |
| label | string | Название снимка |
| guid | string | id снимка |
| reference_id | string | ID ссылки |
| res_id | string | Ссылка на снимок |
| timestamp | int | Время снимка |
| snap_set_guid | string | ID набора снимков, в котором лежит снимок состояния |
| snap_set_time | int | Время набора |

## Пример использования
Пример вызова _data source_ функции **decort_cb_disk_snapshot**:
```terraform
data "decort_cb_disk_snapshot" "ds" {
  #номер диска
  #обязательный параметр
  #тип - целое число
  disk_id = 11111

  #ярлык диска
  #обязательный параметр
  #тип - строка
  label = "label"
}
```

После успешного завершения такого вызова **decort_cb_disk_snapshot** в переменной `data.decort_cb_disk_snapshot.ds` будут сохранены возвращаемые значения.
